# Class PaginationFilter

Namespace
  adas_core.Domain.Models.Filter

Assembly
  adas-core.Domain.dll

    public record PaginationFilter : IEquatable<PaginationFilter>

Inheritance
  object
  PaginationFilter

Implements
  IEquatable<PaginationFilter>

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### PaginationFilter()

    public PaginationFilter()

### PaginationFilter(int, int, FilteredRequest?)

    public PaginationFilter(int pageNumber, int pageSize, FilteredRequest? filtered)

#### Parameters

`pageNumber` int
`pageSize` int
`filtered` FilteredRequest

## Properties

### FilteredRequest

    public FilteredRequest? FilteredRequest { get; set; }

#### Property Value

FilteredRequest

### PageNumber

    public int PageNumber { get; set; }

#### Property Value

int

### PageSize

    public int PageSize { get; set; }

#### Property Value

int

## Methods

### IsEmpty()

Determines whether the pagination state is considered empty by checking if both `PageNumber` and `PageSize` are less than or equal to zero.

    public bool IsEmpty()

#### Returns

bool

  `true` if both `PageNumber` and `PageSize` are less than or equal to zero; otherwise, `false`.